<?php
if (!defined('_VALID_MOS') && !defined('_JEXEC')) die('Direct Access to ' . basename(__FILE__) . ' is not allowed.');

/**
 *
 * @package  RealEstateManager
 * @copyright 2021 Andrey Kvasnevskiy-OrdaSoft (akbet@mail.ru); Rob de Cleen (rob@decleen.com);
 * Homepage: http://www.ordasoft.com
 * @license GNU General Public License version 2 or later
 *
 */

function diagram($energy_value = 0, $climate_value = 0, $show_en = true, $show_cl = true){
  $html = '';
  $html_energy = '';
  $html_climate = '';

  if($show_en && $show_en){
    $en_abc = array(  
                      'A4'=>'(&le; 27.88)',
                      'A3'=>'(&le; 41.83)',
                      'A2'=>'(&le; 55.77)',
                      'A1'=>'(&le; 69.71)',
                      'B'=>'(&le; 83.65)',
                      'C'=>'(&le; 104.57)',
                      'D'=>'(&le; 139.42)',
                      'E'=>'(&le; 181.25)',
                      'F'=>'(&le; 243.99)',
                      'G'=>'(&gt; 243.99)'
                    );

    $energy_class = 'A4';
    if($energy_value > 27.88 && $energy_value <= 41.88){$energy_class = 'A3';}
    elseif($energy_value > 41.83 && $energy_value <= 55.77){$energy_class = 'A2';}
    elseif($energy_value > 55.77 && $energy_value <= 69.77){$energy_class = 'A1';}
    elseif($energy_value > 69.77 && $energy_value <= 83.65){$energy_class = 'B';}
    elseif($energy_value > 83.65 && $energy_value <= 104.57){$energy_class = 'C';}
    elseif($energy_value > 104.57 && $energy_value <= 139.42){$energy_class = 'D';}
    elseif($energy_value > 139.42 && $energy_value <= 181.39){$energy_class = 'E';}
    elseif($energy_value > 181.39 && $energy_value <= 243.99){$energy_class = 'F';}
    elseif($energy_value > 243.99){$energy_class = 'G';}

    $html_energy = "\t<div class='left marg_right'>\n";
    $html_energy .= "<span>"._REALESTATE_MANAGER_SETTINGS_ENERGY_ECONOMY_LABEL.":</span>\n";
    $i = 1;
    foreach($en_abc as $key=>$val) {
      $html_energy .= "\t\t<div class='wrap'>\n";
      $html_energy .= "\t\t\t<div id='en_line$i' class='en_line$i'>\n";
      $html_energy .= "\t\t\t\t<div class='left'>$key</div>\n";
      $html_energy .= "\t\t\t\t<div class='right'>$val</div>\n";
      $html_energy .= "\t\t\t</div><!-- end div id='en_line$i' class='en_line$i' -->\n";
      //$html_energy .= "";
      if($key == $energy_class && !empty($energy_value)){
        $html_energy .= "\t\t\t<div id='en_val$i' class='en_val$i'>$energy_value</div>\n";
      }
      $html_energy .= "\t\t</div><!-- end div class='wrap' -->\n";
      $i++;
    }
    $html_energy .= "\t</div><!-- end div class='left' -->\n";
  }

  if($show_cl && $show_cl){
    $cl_abc = array(  
                      'A1'=>'(&le; 24.86)',
                      'A2'=>'(&le; 37.29)',
                      'A3'=>'(&le; 49.72)',
                      'A4'=>'(&le; 62.15)',
                      'B'=>'(&le; 74.58)',
                      'C'=>'(&le; 93.23)',
                      'D'=>'(&le; 124.31)',
                      'E'=>'(&le; 161.60)',
                      'F'=>'(&le; 217.54)',
                      'G'=>'(&gt; 217.54)');

    $climate_class = 'A4';
    if($climate_value > 24.86 && $climate_value <= 37.29){$climate_class = 'A3';}
    elseif($climate_value > 37.29 && $climate_value <= 49.72){$climate_class = 'A4';}
    elseif($climate_value > 49.72 && $climate_value <= 62.15){$climate_class = 'B';}
    elseif($climate_value > 62.15 && $climate_value <= 74.58){$climate_class = 'C';}
    elseif($climate_value > 74.58 && $climate_value <= 93.23){$climate_class = 'C';}
    elseif($climate_value > 93.23 && $climate_value <= 124.31){$climate_class = 'D';}
    elseif($climate_value > 124.31 && $climate_value <= 161.60){$climate_class = 'E';}
    elseif($climate_value > 161.60 && $climate_value <= 217.54){$climate_class = 'F';}
    elseif($climate_value > 217.54){$climate_class = 'G';}
    $i = 1;

    $html_climate = "\t<div class='left'>\n";
    $html_climate .= "<span>"._REALESTATE_MANAGER_SETTINGS_ENERGY_LOST_LABEL.":</span>\n";
    foreach($cl_abc as $key=>$val) {
      $html_climate .= "\t\t<div class='wrap'>\n";
      $html_climate .= "\t\t\t<div id='cl_line$i' class='cl_line$i'>\n";
      $html_climate .= "\t\t\t\t<div class='left'>$key</div>\n";
      $html_climate .= "\t\t\t\t<div class='right'>$val</div>\n";
      $html_climate .= "\t\t\t</div><!-- end div id='cl_line$i' class='cl_line$i' -->\n";
      //$html_climate .= "";
      if($key == $climate_class && !empty($climate_value)){
        $html_climate .= "\t\t\t<div id='en_val$i' class='cl_val$i'>$climate_value</div>\n";
      }
      $html_climate .= "\t\t</div><!-- end div class='wrap' -->\n";
      $i++;
    }
    $html_climate .= "\t</div><!-- end div class='left' -->\n";
  }
    $html .= $html_energy . $html_climate;

    return $html;
  }
?>
